summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorAndrew Dolgov <[email protected]>2017-04-27 00:24:29 +0300
committerAndrew Dolgov <[email protected]>2017-04-27 00:24:29 +0300
commit7f4a24f8681f35d25077524692ba2236583cb732 (patch)
tree41dcc1cc2d3859ad1d8d1fd60b6138c9b520454a /utils
parent891df346377be014bbad14c229421d92cfd332ea (diff)
parentc2744831cd319fb967a83dc643bdb8b25f6c0b02 (diff)
Merge branch 'master' of git.fakecake.org:tt-rss
Diffstat (limited to 'utils')
-rw-r--r--utils/gitlab-ci/php-lint.sh4
-rw-r--r--utils/gitlab-ci/phpmd-ruleset.xml5
-rw-r--r--utils/gitlab-ci/phpmd.sh7
3 files changed, 12 insertions, 4 deletions
diff --git a/utils/gitlab-ci/php-lint.sh b/utils/gitlab-ci/php-lint.sh
index 172abd873..9bd513f88 100644
--- a/utils/gitlab-ci/php-lint.sh
+++ b/utils/gitlab-ci/php-lint.sh
@@ -1,3 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
exec find . -name "*.php" -not -path "*/lib/*" -print0 | xargs -0 -n1 php -l
diff --git a/utils/gitlab-ci/phpmd-ruleset.xml b/utils/gitlab-ci/phpmd-ruleset.xml
index 510eed152..d2c010fbc 100644
--- a/utils/gitlab-ci/phpmd-ruleset.xml
+++ b/utils/gitlab-ci/phpmd-ruleset.xml
@@ -9,6 +9,11 @@
<!-- phpmd author is a bit weird i guess -->
+ <!-- <rule ref="rulesets/cleancode.xml">
+ <exclude name="BooleanArgumentFlag" />
+ <exclude name="ElseExpression" />
+ </rule> -->
+
<rule ref="rulesets/unusedcode.xml" />
</ruleset>
diff --git a/utils/gitlab-ci/phpmd.sh b/utils/gitlab-ci/phpmd.sh
index 117be1848..7541db840 100644
--- a/utils/gitlab-ci/phpmd.sh
+++ b/utils/gitlab-ci/phpmd.sh
@@ -1,7 +1,8 @@
-#!/bin/sh -i -e
+#!/bin/sh
-phpmd include,classes text utils/gitlab-ci/phpmd-ruleset.xml
+set -e
+
+phpmd include,classes,plugins text utils/gitlab-ci/phpmd-ruleset.xml
FILES=$(ls -dm *.php | tr -d " "| tr -d "\n")
phpmd $FILES text utils/gitlab-ci/phpmd-ruleset.xml
-